Đến nội dung


Hình ảnh
- - - - -

Hướng dẫn lập trình với AutoCAD bằng VB.NET


  • Please log in to reply
114 replies to this topic

#101 thanginfo

thanginfo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 October 2013 - 03:19 PM

Chào các bác

em theo dõi các phần thảo luận rất nhiều về lập trình AutoCAD. trước đây em cũng đã làm một phần mềm sử dụng AutoCAD trên VB6. bây giờ chuyển sang Visual basic 2008. cúng đã tìm ra cách sử dụng các lệnh của AutoCAD nhưng có một vấn đề về Hatch thì không thể thực hiện được. nếu bác nào đã sử dụng xin chỉ giúp câu lệnh với. Hiện tại em đạng sử dụng liên kết muộn.

Xin chân thành cảm ơn các bác.

Ghi chú: nếu có thể các bác gửi vào hộp thư: thang.stgc@gmail.com


  • 0

#102 thanginfo

thanginfo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 October 2013 - 08:43 AM

Bác có thể hướng dẫn em cách lấy code của thư viện cho vào code cua mình được không. Cái này em chưa biết làm thế nào?


  • 0

#103 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 30 October 2013 - 10:42 PM

Chào các bác

em theo dõi các phần thảo luận rất nhiều về lập trình AutoCAD. trước đây em cũng đã làm một phần mềm sử dụng AutoCAD trên VB6. bây giờ chuyển sang Visual basic 2008. cúng đã tìm ra cách sử dụng các lệnh của AutoCAD nhưng có một vấn đề về Hatch thì không thể thực hiện được. nếu bác nào đã sử dụng xin chỉ giúp câu lệnh với. Hiện tại em đạng sử dụng liên kết muộn.

Xin chân thành cảm ơn các bác.

Ghi chú: nếu có thể các bác gửi vào hộp thư: thang.stgc@gmail.com

 

Tất các các hàm có tham số hay tham trị là mảng các đối tượng thì luôn bị lỗi, ví dụ như các hàm: RemoveItems, AppendInnerLoop, AddRegion ... mình chả biết tại sao. Cách khác phục là dùng command line thôi.


  • 0
Clear sky!

MF Rock collection.

#104 hoathuongphuoc

hoathuongphuoc

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 November 2013 - 11:48 AM

Sau khi đã kết nối được autocad và vb.net. Thì theo mình thấy và tìm hiểu. Chỉ có thao tác bên vb,net. Nghĩa là mình chỉ thấy lệnh vẽ ... Trong vb.net sau đó được truyền qua autocad. Như vậy giờ mình muốn thao tác bên autocad để lấy thông tin, text. Rùi truyền qua vb.net. Như vậy liệu có được không


  • 0

#105 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 06 November 2013 - 01:10 PM

không


  • 0

#106 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 07 November 2013 - 08:29 AM

Sau khi đã kết nối được autocad và vb.net. Thì theo mình thấy và tìm hiểu. Chỉ có thao tác bên vb,net. Nghĩa là mình chỉ thấy lệnh vẽ ... Trong vb.net sau đó được truyền qua autocad. Như vậy giờ mình muốn thao tác bên autocad để lấy thông tin, text. Rùi truyền qua vb.net. Như vậy liệu có được không

Câu trả lời cho bạn là được, bạn muốn lấy gì cũng được chứ ko riêng gì text


  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#107 thanginfo

thanginfo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 November 2013 - 11:02 AM

anhcos ơi xin chỉ giúp cách tạo hatch trong AutoCAD từ VB2008 bằng lệnh Command line với khó quá học nếu có thể bác cho xin số điện thoại để tiện liên lạc và đến tận nơi để học tập. Tel: 0976239839

Làm phiền.


  • 0

#108 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 13 November 2013 - 08:58 PM

Sau khi đã kết nối được autocad và vb.net. Thì theo mình thấy và tìm hiểu. Chỉ có thao tác bên vb,net. Nghĩa là mình chỉ thấy lệnh vẽ ... Trong vb.net sau đó được truyền qua autocad. Như vậy giờ mình muốn thao tác bên autocad để lấy thông tin, text. Rùi truyền qua vb.net. Như vậy liệu có được không

Như ban Detailing đã nói, phần lớn dữ liệu từ AutoCAD đều truy cập được từ VB.NET.

 

anhcos ơi xin chỉ giúp cách tạo hatch trong AutoCAD từ VB2008 bằng lệnh Command line với khó quá học nếu có thể bác cho xin số điện thoại để tiện liên lạc và đến tận nơi để học tập. Tel: 0976239839

Làm phiền.

Dạo này hơi bận, vài hôm nữa mình sẽ làm dùm bạn...


  • 0
Clear sky!

MF Rock collection.

#109 NguyenThamTVVT

NguyenThamTVVT

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 March 2014 - 04:07 PM

Chào bác Anhcos!

Mình đọc bài viết của bạn viết về vb.net với Cad thấy rất hay và cũng thử tập tành một vài ví dụ. Tuy nhiên, theo cách của bạn khi tạo một đối tượng mới như Layer, TextStyle, DimStyle... Sau đó Active chúng thì toàn bị lỗi. Mong bạn chỉ cách dùm. Thank!

Mình cũng thấy có bạn hỏi về vấn đề này rồi. Nhưng chưa có câu trả lời thỏa đáng. Rất mong bạn bớt chút thời gian xem hộ anh em nhé!


  • 0

#110 tungxdhn

tungxdhn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 October 2014 - 10:43 PM

Cho mình hỏi đoạn code vẽ đường line trong cad này với
 Function ve_line(ByVal dwg As Object, ByVal x1 As Double, ByVal y1 As Double, ByVal x2 As Double, ByVal y2 As Double, ByVal color As Integer) As Object  
            Dim d1(2) As Double, d2(2) As Double
            d1(0) = x1
            d1(1) = y1
            d1(2) = 0
            d2(0) = x2
            d2(1) = y2
            d2(2) = 0
            ve_line = Dwg.ModelSpace.AddLine(d1, d2)
            ve_line.color = color
    End Function

Theo mình hiểu thì (x1,y1), (x2,y2) là tọa độ của 2 điểm để vẽ nên đường line.Nhưng mình ko hiểu cái đoạn phần gán "=" và số trong ngoặc của biến d1, d2 là gì.mong mọi người giải thích cái :D


  • 0

#111 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 29 October 2014 - 10:57 PM

Muốn hiểu được trước tiên ban phải tìm hiểu thế nào nào hàm, thủ tục, tham biến, tham trị, biến toàn cục, biến cục bộ. Số trong ngoặc của biến d1, d2 thì bạn phải tìm hiểu về biến mảng


  • 1

#112 vinh1020945

vinh1020945

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 January 2015 - 08:18 PM

Chào bạn tungxdhn.

Biến d1,d2 là mảng 1 chiều d1(0),d1(1),d1(2) là tuơng ứng toạ độ x,y,z cua he toa do trong AutoCAD, Neu 2D thi d1(2)=0 tuc la z=0,d2 cung tuong tu.

Con phep gan bien

ta co the ve 1 line trong 2 truong hop:

 TH1: Dwg.ModelSpace.AddLine(d1, d2)

TH2: ve_line = Dwg.ModelSpace.AddLine(d1, d2)

2 truong hop nay deu ve duoc line, nhung truong hop 2 ta co the thay doi thuoc thuoc tinh cua line

VD: ve_line.color =3 'Dinh mau cho line

      ve_line.LineType = "continuous" 'Dinh kieu duong net cho line

      ve_line.Layer = "ABC" 'Gan cho line thuoc layer "ABC".

Tran trong chao ban.


  • 0

#113 hotrung

hotrung

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 March 2015 - 09:34 PM

 Các bác chỉ với em với, trong đoạn code dưới đây của bác anhcos là select các đối tượng trên màn hình, nhưng em chỉ muốn select các đối tượng là Line hoặc Polyline thôi  thì phải làm thế nào ạ? Và sau khi select xong, em muốn lấy các thông số Startpoint, Endpoint, vector pháp tuyến của từng Line thì phải làm thế nào ạ? Cái này em mới tìm hiểu mà tìm mãi chẳng thấy chỗ nào các bác nói đến cả, mong các bác giúp đỡ.

 

 Private Sub cmdSelectObject_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSelectObject.Click

 

        If ACADLink() Then

            Try

                Dim dwg As Object = Acad.ActiveDocument

 

                Try

                    SelSet = dwg.SelectionSets.Add("anhcos")

                Catch

                    SelSet = dwg.SelectionSets.Item("anhcos")

                End Try

                SelSet.Clear()

 

                AppActivate(Acad.Caption)

 

                SelSet.SelectOnScreen()

 

                ObjIndex = 0

                Vịtríđốitượngtrongtậpchọn()

 

                AppActivate(Me.Text)

                pgObject.SelectedObject = SelSet.Item(ObjIndex)

 

 

            Catch

                ObjIndex = -1

            End Try

        End If

    End Sub


  • 0

#114 hotrung

hotrung

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 March 2015 - 04:17 PM

 Các bác chỉ với em với, trong đoạn code dưới đây của bác anhcos là select các đối tượng trên màn hình, nhưng em chỉ muốn select các đối tượng là Line hoặc Polyline thôi  thì phải làm thế nào ạ? Và sau khi select xong, em muốn lấy các thông số Startpoint, Endpoint, vector pháp tuyến của từng Line thì phải làm thế nào ạ? Cái này em mới tìm hiểu mà tìm mãi chẳng thấy chỗ nào các bác nói đến cả, mong các bác giúp đỡ.

 

 Private Sub cmdSelectObject_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSelectObject.Click

 

        If ACADLink() Then

            Try

                Dim dwg As Object = Acad.ActiveDocument

 

                Try

                    SelSet = dwg.SelectionSets.Add("anhcos")

                Catch

                    SelSet = dwg.SelectionSets.Item("anhcos")

                End Try

                SelSet.Clear()

 

                AppActivate(Acad.Caption)

 

                SelSet.SelectOnScreen()

 

                ObjIndex = 0

                Vịtríđốitượngtrongtậpchọn()

 

                AppActivate(Me.Text)

                pgObject.SelectedObject = SelSet.Item(ObjIndex)

 

 

            Catch

                ObjIndex = -1

            End Try

        End If

    End Sub

bác nào giúp em với ạ. Em xin chân thành cảm ơn.


  • 0

#115 Vạn Vô Thường

Vạn Vô Thường

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 August 2016 - 11:25 PM

các anh ơi cho em hỏi, file dll xuất ra từ vb.net có chạy được trên cad 2007 không vậy ?


  • 0